Summary:	A GNU set of database routines which use extensible hashing.
Name:		gdbm
Group:		System Environment/Libraries
License:	GPL
Version:	1.8.3
Release:	2
Source0:	ftp://prep.ai.mit.edu/pub/gnu/gdbm-%{version}.tar.gz
Patch0:		gdbm-1.8.0-jbj.patch
Patch1:		gdbm-1.8.3-buildasnonroot-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
Gdbm is a GNU database indexing library, including routines which use
extensible hashing.  Gdbm works in a similar way to standard UNIX dbm
routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

%files
  %defattr(-,root,root)
  %attr(0555,root,root)	%{_libdir}/libgdbm.so.3*
  %attr(0555,root,root)	%{_libdir}/libgdbm_compat.so.3*

%package devel
Summary:	Development libraries and header files for the gdbm library.
Group:		Development/Libraries
Requires:	gdbm = %{version}

%description devel
Gdbm-devel contains the development libraries and header files for
gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

%files devel
  %defattr(-,root,root)
  %doc %{_infodir}/*.info*
  %doc %{_mandir}/man?/*

  %attr(0444,root,root)	%{_includedir}/*.h
  %attr(0444,root,root)	%{_includedir}/gdbm/*.h
  %attr(0444,root,root)	%{_libdir}/libgdbm.a
  %attr(0444,root,root)	%{_libdir}/libgdbm.la
  %attr(0555,root,root)	%{_libdir}/libgdbm.so
  %attr(0444,root,root)	%{_libdir}/libgdbm_compat.a
  %attr(0444,root,root)	%{_libdir}/libgdbm_compat.la
  %attr(0555,root,root)	%{_libdir}/libgdbm_compat.so

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure

  rm -f libtool
  cp -a /usr/bin/libtool .

  make CFLAGS="$RPM_OPT_FLAGS" includedir=%{_prefix}/include/gdbm %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install install-compat \
	prefix=$RPM_BUILD_ROOT/%{_prefix} \
	manprefix=$RPM_BUILD_ROOT/%{_mandir} \
	man3dir=$RPM_BUILD_ROOT/%{_mandir}/man3 \
	infodir=$RPM_BUILD_ROOT/%{_infodir} \
	includedir=$RPM_BUILD_ROOT/%{_prefix}/include/gdbm \
	libdir=$RPM_BUILD_ROOT/%{_libdir}

  pushd $RPM_BUILD_ROOT
    ln -sf gdbm/dbm.h  .%{_prefix}/include/dbm.h
    ln -sf gdbm/gdbm.h .%{_prefix}/include/gdbm.h
    ln -sf gdbm/ndbm.h .%{_prefix}/include/ndbm.h
    ln -sf libgdbm.so.3.0.0 .%{_prefix}/%{_lib}/libgdbm.so
  popd

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.8.3, Release 2
  - Add support for x86_64 (remove /lib hardcoded references).

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.8.3, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
